<mat-card style="margin: 2%;" class="mat-elevation-z8">
    <form [formGroup]="createPortfolioForm">

        <div>
            <strong>
                <h1 mat-dialog-title>Create Portfolio</h1>
                <mat-divider></mat-divider>
            </strong>

            <mat-dialog-content>
                <br>
                <p>
                    <mat-form-field style="width: 100%;" appearance="outline">
                        <mat-label>Portfolio Name</mat-label>
                        <input matInput placeholder="Enter Portfolio Name" formControlName="portfolioName">
                    </mat-form-field>
                </p>

                <mat-form-field appearance="fill" style="width: 100%;">
                    <mat-label>Select Portfolio Type</mat-label>
                    <mat-select style="padding: 2px;" placeholder="Client*" name="portfolioType"
                        formControlName="portfolioType" (selectionChange)="setPortfolioType($event.value)">
                        <mat-option *ngFor="let type of PortfolioTypeList;" [value]="type">
                            {{type}}
                        </mat-option>
                    </mat-select>
                </mat-form-field>

                <br><br>
                <p>
                    <mat-form-field style="width: 100%;" appearance="outline">
                        <mat-label>Portfolio Created By</mat-label>
                        <input matInput placeholder="Created By" formControlName="createdBy" readonly>
                    </mat-form-field>
                </p>

                <mat-divider></mat-divider>

            </mat-dialog-content>

            <br>
            <mat-dialog-actions style="float: left;">

                <button mat-raised-button color="primary" (click)="resetCreatePortfolioForm()">RESET</button>
                &nbsp;&nbsp;
                <button mat-raised-button color="warn" [disabled]="createPortfolioForm.invalid" (click)="createPortfolio()">CREATE PORTFOLIO</button>
            </mat-dialog-actions>
            <br><br>
        </div>
    </form>
</mat-card>